Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.topics
Class MultinomialHMM

    java.lang.Object
      cc.mallet.topics.MultinomialHMM

    public class MultinomialHMM

extends java.lang.Object

Latent Dirichlet Allocation.

Author:
  David Mimno, Andrew McCallum

Constructor Summary
`MultinomialHMM(int numberOfTopics, java.lang.String topicsFilename, int numStates)`

Method Summary
`void` | `initialize()`
`void` | `loadAlphaFromFile(java.lang.String alphaFilename)`
`void` | `loadSequenceIDsFromFile(java.lang.String sequenceFilename)`
`void` | `loadTopicsFromFile(java.lang.String stateFilename)`
`static void` | `main(java.lang.String[] args)`
`java.lang.String` | `printStateTransitions()`
`void` | `sample()`
`void` | `setBurninPeriod(int burninPeriod)`
`void` | `setGamma(double g)`
`void` | `setNumIterations(int numIterations)`
`void` | `setOptimizeInterval(int interval)`
`void` | `setRandomSeed(int seed)`
`void` | `setTopicDisplayInterval(int interval)`
`java.lang.String` | `stateTopics()`
`java.lang.String` | `stateTransitionMatrix()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultinomialHMM

    public MultinomialHMM(int numberOfTopics,
                          java.lang.String topicsFilename,
                          int numStates)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### setGamma

    public void setGamma(double g)

### setNumIterations

    public void setNumIterations(int numIterations)

### setBurninPeriod

    public void setBurninPeriod(int burninPeriod)

### setTopicDisplayInterval

    public void setTopicDisplayInterval(int interval)

### setRandomSeed

    public void setRandomSeed(int seed)

### setOptimizeInterval

    public void setOptimizeInterval(int interval)

### initialize

    public void initialize()

### sample

    public void sample()
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadTopicsFromFile

    public void loadTopicsFromFile(java.lang.String stateFilename)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadAlphaFromFile

    public void loadAlphaFromFile(java.lang.String alphaFilename)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadSequenceIDsFromFile

    public void loadSequenceIDsFromFile(java.lang.String sequenceFilename)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### printStateTransitions

    public java.lang.String printStateTransitions()

### stateTransitionMatrix

    public java.lang.String stateTransitionMatrix()

### stateTopics

    public java.lang.String stateTopics()

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD